由于在安装php7.4的时候出现提示
No package 'oniguruma' found
所以在这里记录一下 解决方法
ubuntu/debian的软件库里似乎没有这个所以只能手动编译安装

git clone https://github.com/kkos/oniguruma.git
autoreconf -vfi
./configure
make
make install

沉淪在無盡的深淵中